### Enumeration

# WebKit2 InsecureContentEvent

#### Declaration

    enum WebKit2.InsecureContentEvent

#### Description [src]

Enum values used to denote the different events which can trigger the detection of insecure content.

#### Members

`WEBKIT_INSECURE_CONTENT_RUN`

  Insecure content has been detected by trying to execute any kind of logic (e.g. a script) from an untrusted source.

  - Value: `0`
  - Available since: 4.1
`WEBKIT_INSECURE_CONTENT_DISPLAYED`

  Insecure content has been detected by trying to display any kind of resource (e.g. an image) from an untrusted source.

  - Value: `1`
  - Available since: 4.1